Bug 99318 - Cannot paste file name from OS’s “Save As” dialog to Calc’s “Rename Sheet” dialog
Summary: Cannot paste file name from OS’s “Save As” dialog to Calc’s “Rename Sheet” di...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Sheet
  Show dependency treegraph
 
Reported: 2016-04-15 11:07 UTC by Gérald Maruccia
Modified: 2022-05-14 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot jpg to locate the two dialog boxes (868.56 KB, image/jpeg)
2016-04-16 11:45 UTC, Gérald Maruccia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gérald Maruccia 2016-04-15 11:07:08 UTC
Ubuntu 14.04 amd64 LO 5.1.2.2 Build ID 1.5.1.2~rc2-0ubuntu1~trusty0 locale fr-FR (fr_FR.UTF-8)

To name a sheet in Calc I double click on the tab of that sheet at the bottom of the screen.

I like to have the name of my calc file in that tab.

So when I «save as» my calc file, I also copy the name of the file using ctrl+c or select + right-click + copy

Then I go back to the tab sheet but I can't paste there :
- Ctrl+v does nothing
- right-click paste has no effect
- calc hangs on / freezes a few seconds before i can do something else

I can copy-paste the content of a cell into tab sheet.

So the workaround is to first paste into a cell then paste from that cell to tab sheet.

But why can't I copy-paste from «save as» dialog box to tab sheet ?
Comment 1 m.a.riosv 2016-04-15 23:42:26 UTC
Hi @Gérald Maruccia,

there are characters not allowed for sheet names.

Find the information here:

https://help.libreoffice.org/Calc/Renaming_Sheets
Comment 2 Gérald Maruccia 2016-04-16 11:24:24 UTC
Hello thanx for your answer mario but what you suggest has nothing to do with my "problem".

I only use plain letters and figures, no spaces, no special characters a.s.o.

I can't paste in tab-sheet what I've copied from the « save as » dialog box.
Comment 3 Gérald Maruccia 2016-04-16 11:45:54 UTC
Created attachment 124387 [details]
screenshot jpg to locate the two dialog boxes

Left is « save as » where I want to copy from

Right is « tab sheet » where i want to paste into what I've copied from « save as »

I can paste into a cell what I've just copied from « save as » but I can't paste it into « tab sheet » straightaway.
Comment 4 Gérald Maruccia 2016-04-16 14:40:44 UTC
I already had this behavior in 4.1 branch of LO.
Comment 5 Gérald Maruccia 2016-04-16 19:03:57 UTC
mmm sorry for that mistake :

[ I can paste into a cell what I've just copied from « save as » ]

In fact no I can not paste into a cell what I've just copied from « save as » !

It makes calc freezes a short moment (turns grey) and nothing is pasted.

I can paste it though to text-editor, to a web-browser, gimp…

Same behavior with writer : unable to paste what's just been copied into « save as »
Comment 6 raal 2016-04-17 14:58:13 UTC
I can confirm with Version: 5.2.0.0.alpha0+
Build ID: 0f27cc992a99568e46ffe807ef9dbb5ba0bc601f
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-12_23:40:16
and LO #3.5
Comment 7 raal 2016-04-17 15:00:41 UTC
I can not copy text to cell and no hangs/freeze occurs.
Comment 8 m.a.riosv 2016-04-18 08:33:28 UTC
Hi @Gérald, sorry for my misunderstanding.

Looks an only Linux issue, I can't reproduce with:
Win10x64
Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 1; OS Version: Windows 6.19; UI Render: GL;

Works fine for me using system or LibreOffice Open/Save dialogs.
(Menu/Tools/Options/LibreOffice/General)
Comment 9 QA Administrators 2017-05-22 13:24:02 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-03 15:00:52 UTC Comment hidden (obsolete)
Comment 11 lol 2020-05-12 12:00:34 UTC
I tested it in

Version: 6.1.5.2
Build-ID: 1:6.1.5-3+deb10u5
CPU-Threads: 2; BS: Linux 4.19; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group threaded

and

Version: 6.4.3.2 (x64)
Build-ID: 747b5d0ebf89f41c860ec2a39efd7cb15b54f2d8
CPU-Threads: 4; BS: Windows 10.0 Build 18362; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

and it works for both. I could copy the name of the file into the Tab Rename Dialog.
Comment 12 QA Administrators 2022-05-14 03:42:01 UTC
Dear Gérald Maruccia,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug